﻿@import url("../css/base.font.css");
/* Font and Base Styles */
html, body, a, p, input, h1, h2, h3, h4, h5, h6, label, span, button, textarea, ul, li {
    font-family: 'Eptura_flexible', sans-serif;
}

html, body {
    height: 100%;
    background-color: #ffffff;
    justify-content: center;
    align-items: center;
    margin: 0;
}


body {
    color: #343a40;
    font-size: 16px;
    background-color: #ffffff;
    flex-direction: column;
    width: 100%;
}

.alert-dark, .alert-secondary {
    color: #000;
    background-color: #eaeaea;
    border-color: #dedede;
}



/* Login Panel */
    .panel.login-panel > .panel-body .outlook-login, .panel.login-panel.auth-msg > .panel-body .auth-action {
    text-align: center;
}

    .panel.login-panel > .panel-body .outlook-login button.btn-primary, .panel.login-panel > .panel-body button.btn-primary.btn-windows {
        display: flex;
        width: 350px;
        height: 48px;
        padding: 0px 14px;
        justify-content: center;
        align-items: center;
        gap: 12px;
        border-radius: 4px;
        background: #1B4BC5;
        color: white;
        margin-top: 0px;
        /* Reduced button top margin */
    }

    .panel.login-panel > .panel-body button.btn-primary .fa {
        margin-right: 3px;
}

    .panel.login-panel > .panel-heading {
        text-align: center;
        margin-bottom: 48px;
        /* Gap between heading (logo container) and panel body */
}

    .panel.login-panel.auth-msg {
    color: #FFF;
    min-width: 530px;
}

        .panel.login-panel.auth-msg .auth-msg-text {
            color: #0D122E;
            text-align: center;
            font-family: 'Eptura_flexible', sans-serif;
            font-size: 18px;
            font-style: normal;
            font-weight: 500;
            line-height: 32px;
            margin-bottom: 12px;
            /* Gap between heading and description */
        }

        .panel.login-panel.auth-msg .panel-body p {
            color: #0D122E;
            text-align: center;
            font-family: 'Eptura_flexible', sans-serif;
            font-size: 14px;
            font-style: normal;
            font-weight: 400;
            line-height: 20px;
            margin-bottom: 48px;
            /* Gap between description and sign-in button */
        }

    .panel.login-panel.auth-msg .auth-action .btn.btn-default {
        min-width: 140px;
        cursor: pointer;
    }

    .login-panel .control-label {
        font-weight: normal;
        font-size: 12px;
        color: #777;
}
/* Error Page */
    .error-page {
        background-color: #ffffff;
}

    .error-page .error-page-container {
        position: absolute;
        top: 40%;
        left: 35%;
        text-align: center;
    }

    .error-page .page-title {
        line-height: 48px;
    }

    .error-page .page-title .fa {
         font-size: 33px;
         margin-right: 19px;
         color: #8c8c8c;
        }

    .error-page .error-page-details, .error-page .error-page-footer {
         margin-top: 20px;
    }

     .error-page .error-page-footer .btn.btn-default {
          border-color: #dcdcdc;
          font-size: 12px;
          color: #adadad;
        }

    .error-page .error-page-details {
          font-size: 12px;
    }
/* Logo */
    .cd-logo {
    background-image: url(../Content/Images/Condeco_Logo_Large.gif);
    background-position: left top;
    background-repeat: no-repeat;
    width: 221px;
    height: 59px;
    margin: 0 auto;
    background-size: 220px;
    margin-top: 0px;
    /* Reduced logo top margin */
    margin-bottom: 0px;
    /* Removed logo bottom margin */
}

/* Navbar */

.cd-navbar.navbar {
    display: flex;
    width: 100%;
    align-items: flex-start;
}

    .cd-navbar.navbar .navbar-brand {
        width: 127px;
    }

        .cd-navbar.navbar .navbar-brand img {
            width: 96px;
            height: 31px;
        }

    .cd-navbar.navbar .navbar-nav .nav-link {
        font-size: 14px;
    }

    .cd-navbar.navbar .nav-item a {
        font-size: 15px;
        color: #b3b3b3;
        font-weight: 300;
        text-decoration: none;
    }

        .cd-navbar.navbar .nav-item a .fa {
            font-size: 13px;
            font-weight: normal;
            margin-right: 3px;
            color: #b3b3b3;
        }

.bg-dark {
    background-color: #fff !important;
}

.left-side {
    display: flex;
    height: 48px;
    align-items: center;
    gap: 8px;
    flex: 1 0 0;
    text-align:center;
    width:1095px;
}

.typography {
    color: var(--Content-on-background, #141922);
    text-align: right;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 40px; /* 285.714% */
    padding-right: 7px;
}

.name {
    color: var(--Content-on-background, #141922);
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 40px;
}

.right-side {
    display: flex;
    height: 48px;
    padding-right: 40px;
    justify-content: flex-end;
    align-items: center;
    gap: 31px;
}

.time {
    color: var(--Content-on-background, #141922);
    text-align: right;
    font-size: 14px;
    font-style: normal;
    font-weight: 700;
    line-height: 40px; /* 285.714% */
}

.day {
    color: var(--Content-on-background, #141922);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 40px;
}

.right-side-elements {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 16px;
    align-self: stretch;
}

.dateandtime {
    display: flex;
    align-items: center;
    width:240px;
    height:40px;
    gap: 15px;
}

/*.rectangle {
    width: 1px;
    height: 24px;
    background: #B1B5BE;
}*/

.signout-content {
    display: flex;
    height: 32px;
    padding: 0px 8px;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.signout-icon {
    display: flex;
    padding: 2px;
    justify-content: center;
    align-items: center;
    width: 16px;
    height: 16px;
}

.signout-text {
    color: var(--Button-borderless-text, #1B4BC5);
    text-align: center;
    /* Buttons/button-text-small */
    font-size: 12px;
    font-style: normal;
    font-weight: 700;
    line-height: 18px; /* 150% */
}

/* Tenant View */
.tenant-view {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex: 1 0 0;
    align-self: stretch;
    margin-top: 110px;
}

    .tenant-view h1 {
        margin: 0 -15px 0px -15px;
        padding: 20px 15px;
        color: #0D122E;
        text-align: center;
        /* Headings/header-01 */
        font-style: normal;
        font-weight: 400;
        line-height: 48px; /* 171.429% */
    }

    .tenant-view .msg-box.alert {
        padding: 2px 2px 2px 10px;
    }

    .tenant-view .msg-box.alert .alert-heading {
        font-size: 16px;
        font-weight: bold;
    }

        .tenant-view .msg-box.alert > p {
            font-size: 16px;
            font-weight: 300;
            padding: 7px;
            color: #000;
        }

        .tenant-view .msg-box.alert.info-msgbox > p {
            margin-bottom: 0;
            max-width: 1200px;
        }

    .tenant-view form.frm-registration {
        font-size: 16px;
        font-weight: 400;
        background-color: #fff;
        padding: 0px 20px;
        border-radius: 4px;
        margin-left:150px;
    }

        .tenant-view form.frm-registration .fa {
            font-size: 14px;
        }

        .tenant-view form.frm-registration .form-group {
            margin-bottom: 0px;
            margin-left: -20px;
            padding: 16px 0;
            width:800px;
        }

            .tenant-view form.frm-registration .form-group:first-child {
               display:flex;
               justify-content:center;
               align-items:center;
            }

            .tenant-view form.frm-registration .form-group .col-form-label {
                padding-top: 0;
                padding-bottom: 0;
                max-width: 295px;
            }

            .tenant-view form.frm-registration .form-group a {
                color: #0D122E;
                font-size: 16px;
                font-style: normal;
                font-weight: 500;
                line-height: 28px; /* 175% */
            }

            .tenant-view form.frm-registration .form-group.row.warn-row {
                background-color: #ffbc58;
                color: #FFF;
                padding: 5px 0;
                font-size: 13px;
            }

    .tenant-view .btn.btn-primary {
        padding: 3px 20px;
    }

.col-form-label {
    width: 200px;
    color: #0D122E;
    /* Body/body-regular-01 */
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px;}

.cd-scrollable {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
}

.copy-content {
    display: flex-inline;
    height: 32px;
    padding: 0px 8px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    padding-left: 5px;
    margin-bottom:-10px;
}

.copy-content-img{
    margin-top: -5px;
}

.main-note {
    width: 550px !important;
    margin-left: 50px !important; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 8px;
    height: 80px;
    border: 1px solid var(--Blue-dark, #205A8D);
    background: var(--Blue-lighter, #CFE2F2);
    box-shadow: 0px 4px 8px 0px rgba(141, 147, 160, 0.12);
    margin-top:20px;
}


.toast-base {
    display: flex;
    padding: 16px;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
}

.note-info {
    display: flex;
    justify-content: center;
    align-items: center;
}

.content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width:502px;

}

.note-text {
    align-self: stretch;
    color: var(--Blue-darker, #0D3D68);
    /* Headings/header-06 */
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 24px; /* 150% */
}

.note-subtext {
    align-self: stretch;
    color: var(--Blue-darker, #0D3D68);
    /* Body/body-small-01 */
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px; /* 142.857% */
}

.note-text>p{
    margin-top:16px;
    margin-bottom:4px;
}
.note-subtext > p {
    margin-bottom: 16px;
    margin-top: 0px;
}

.note-info > img {
    vertical-align: middle;
    border-style: none;
    margin-bottom: 21px;
    margin-left: 10px;
}

.permissions{
    display:flex;
}
.round-check {
    display: inline-block;
    width: 16px;
    height: 16px;
    background: #4caf50; /* Green background */
    border-radius: 50%; /* Makes it perfectly round */
    color: #fff; /* White checkmark */
    text-align: center;
    line-height: 28px; /* Vertically center the checkmark */
    font-size: 16px;
    font-weight: bold;
    box-shadow: 0 2px 6px rgba(0,0,0,0.07);
}

.permissions > img{
    width:16px;
    height: 16px;
    margin-right:12px;
    margin-top:4.5px;
}
/*Eptura engage CSS*/


/* Login Body */
    .eptura-login-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 480px;
    min-width: 320px;
    width: 100%;
    text-align: center;
    color: #FFF;
    background: none;
    border: none;
    box-shadow: none;
    margin: 0 auto;
}
/* Content Wrapper (wraps logo and text) */
   .eptura-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
    background-color: rgba(255, 255, 255, 0.14);
    text-align: center;
    width: 100%;
    box-sizing: border-box;
}
    /* Logo */
    .eptura-content img {
        max-width: 180px;
        height: auto;
        margin: 0 auto 48px auto;
        display: block;
    }
/* Description */
    .eptura-description {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}
/* Heading */
    .eptura-login-body h2 {
    color: #0D122E;
    font-size: 18px;
    font-weight: 500;
    line-height: 32px;
    margin-bottom: 12px;
}
/* Description Text */
    .eptura-login-body p {
    color: #0D122E;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    margin-bottom: 48px;
}
/* Button */
    .btn.btn-primary {
    display: flex;
    width: 350px;
    height: 48px;
    padding: 0 14px;
    justify-content: center;
    align-items: center;
    gap: 12px;
    border-radius: 4px;
    background: #1B4BC5;
    color: white;
    font-size: 16px;
    border: none;
    box-shadow: none;
    transition: background 0.2s;
    cursor: pointer;
}

    .btn.btn-primary:hover, .btn.btn-primary:focus {
        background: #17419c;
        color: #fff;
        outline: none;
    }

    .btn.btn-primary .fa {
        margin-right: 3px;
    }


/* Responsive adjustments */
    @media (max-width: 600px) {
    .eptura-login-body {
        min-width: 90vw;
        max-width: 98vw;
        padding: 0 10px;
    }

    .btn.btn-primary {
        width: 100%;
        min-width: 0;
    }

    .eptura-content {
        padding: 10px;
    }
}


/* End Eptura engage CSS*/
